-- id-Ϣ finishtype 0ΪѰ·npc 1Ϊָ
local TaskInfo = {
    [1] = { taskname = "Daily Login", taskdesc = "Log into the game 1 time", finsihtype = 0, hide_go = 1},
	[2] = { taskname = "Inner-Power Challenge", taskdesc = "Pass the Inner-Power Challenge each day.", finsihtype = 1, hide_go = 1},
    [3] = { taskname = "Rune Challenge", taskdesc = "Pass the Rune Challenge each day.", finsihtype = 1, hide_go = 1},
    [4] = { taskname = "Void Space", taskdesc = "Pass the Void Space Challenge each day.", finsihtype = 0},
    [5] = { taskname = "Eliminate Demons", taskdesc = "Eliminate Demons every day.", finsihtype = 0},
}

local function GetTaskInfo(idTask, index, default)
    local t = TaskInfo[idTask]
    
    if (t ~= nil) then
        local res = t[index]
        
        if (res ~= nil) then
            return res
        end
    end
    
    return default
end

-- id - 򿪴id
local DlgInfo = {
	-- [5] = "619",	-- Դ书
	-- [6] = "588",	-- 
	[2] = "2200",	-- ڹ
}

local function GetDlgInfo(idTask, default)
    local res = DlgInfo[idTask]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

-- id - Ѱ·Ϣ
local NpcInfo = {
    -- Ǽ
    [0] = {
		[4] = { mapid = 1002, npcid = 27027, x = 327, y = 451},
		[5] = { mapid = 1002, npcid = 27028, x = 331, y = 451},
		
    },
    
    -- 
    [1] = {
		[4] = { mapid = 1036, npcid = 27027, x = 234, y = 222},
		[5] = { mapid = 1036, npcid = 27028, x = 237, y = 222},
    },
}

local function GetNpcInfo(isPassion, idTask, nIndex, default)
    local t = NpcInfo[isPassion]
    
    if (t ~= nil) then
        local p = t[idTask]
        
        if (p ~= nil) then
            local res = p[nIndex]
            
            if (res ~= nil) then
                return res
            end
        end
    end
    
    return default
end

local EffectInfo = {
-- spacexּ
    x = 50, y = 200, spacex = -30,
}

local function GetEffectInfo(index, default)
    local res = EffectInfo[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

-- ͷڴ
local function Unload()
    TaskInfo = nil
    DlgInfo = nil
    NpcInfo = nil
    EffectInfo = nil
end

-- ͨrequireLuaűʹ
local BattlePassTask = {
    GetTaskInfo = GetTaskInfo,
    GetDlgInfo = GetDlgInfo,
    GetNpcInfo = GetNpcInfo,
    GetEffectInfo = GetEffectInfo,
    Unload = Unload,
}

-- C++ʹõglobal
BattlePassTask_GetTaskInfo = BattlePassTask.GetTaskInfo
BattlePassTask_GetDlgInfo = BattlePassTask.GetDlgInfo
BattlePassTask_GetNpcInfo = BattlePassTask.GetNpcInfo
BattlePassTask_GetEffectInfo = BattlePassTask.GetEffectInfo
BattlePassTask_Unload = BattlePassTask.Unload

-- requireֵ
return BattlePassTask
